# GridFire: src/lib/engine/procedures/construction.cpp File Reference

Loading...
Searching...
No Matches
construction.cpp File Reference
`#include "gridfire/engine/procedures/construction.h"`
`#include "gridfire/reaction/weak/weak_interpolator.h"`
`#include "gridfire/reaction/weak/weak.h"`
`#include "gridfire/reaction/weak/weak_types.h"`
`#include <ranges>`
`#include <stdexcept>`
`#include <memory>`
`#include "gridfire/reaction/reaction.h"`
`#include "gridfire/reaction/reaclib.h"`
`#include "fourdst/composition/composition.h"`
`#include "fourdst/logging/logging.h"`
`#include "quill/Logger.h"`
`#include "quill/LogMacros.h"`

## Classes

class | gridfire::ReactionSet
class | gridfire::Reaction
| Represents a single nuclear reaction from a specific data source. More...

## Namespaces

namespace | gridfire

## Functions

ReactionSet | gridfire::build_nuclear_network (const Composition &composition, const rates::weak::WeakRateInterpolator &weak_interpolator, BuildDepthType maxLayers, bool reverse_reaclib)